# Generated by Django 5.0 on 2023-12-18 12:47

import django.db.models.deletion
import packer.models
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Affiliation",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.TextField()),
                ("affiliation_id", models.TextField(blank=True, null=True)),
                ("id_type", models.TextField(blank=True, null=True)),
                ("asserted_by", models.TextField(blank=True, null=True)),
                ("acronym", models.TextField(blank=True, null=True)),
            ],
            bases=(models.Model, packer.models.CheckingModel),
        ),
        migrations.CreateModel(
            name="Archive",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.TextField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name="Assertion",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("value", models.TextField(blank=True, null=True)),
                ("name", models.TextField(blank=True, null=True)),
                ("label", models.TextField(blank=True, null=True)),
                ("order", models.IntegerField(blank=True, null=True)),
                ("url", models.TextField(blank=True, null=True)),
                ("group", models.TextField(blank=True, null=True)),
                ("explanation", models.TextField(blank=True, null=True)),
            ],
            bases=(models.Model, packer.models.CheckingModel),
        ),
        migrations.CreateModel(
            name="Award",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("award", models.TextField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name="AwardAmount",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("currency", models.TextField(blank=True, null=True)),
                ("amount", models.TextField(blank=True, null=True)),
            ],
            bases=(models.Model, packer.models.CheckingModel),
        ),
        migrations.CreateModel(
            name="ClinicalTrialNumber",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("clinical_trial_number", models.TextField(blank=True, null=True)),
                ("registry", models.TextField(blank=True, null=True)),
                ("type", models.TextField(blank=True, null=True)),
            ],
            bases=(models.Model, packer.models.CheckingModel),
        ),
        migrations.CreateModel(
            name="ContainerTitle",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("title", models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name="Degree",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("degree", models.TextField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name="Department",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.TextField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name="Description",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("description", models.TextField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name="Domain",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("domain_name", models.TextField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name="Event",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.TextField(blank=True, null=True)),
                ("location", models.TextField(blank=True, null=True)),
                ("acronym", models.TextField(blank=True, null=True)),
                ("start", models.DateField(blank=True, null=True)),
                ("end", models.DateField(blank=True, null=True)),
            ],
            bases=(models.Model, packer.models.CheckingModel),
        ),
        migrations.CreateModel(
            name="FunderID",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("id_type", models.TextField(blank=True, null=True)),
                ("funder_id", models.TextField(blank=True, null=True)),
                ("asserted_by", models.TextField(blank=True, null=True)),
            ],
            bases=(models.Model, packer.models.CheckingModel),
        ),
        migrations.CreateModel(
            name="Institution",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.TextField()),
                ("place", models.TextField(blank=True, null=True)),
                ("department", models.TextField(blank=True, null=True)),
                ("acronym", models.TextField(blank=True, null=True)),
                ("institution_id", models.TextField(blank=True, null=True)),
                ("id_type", models.TextField(blank=True, null=True)),
                ("asserted_by", models.TextField(blank=True, null=True)),
            ],
            bases=(models.Model, packer.models.CheckingModel),
        ),
        migrations.CreateModel(
            name="ISBN",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("isbn_value", models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name="ISBNType",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("value", models.CharField(max_length=255)),
                ("type", models.CharField(max_length=255)),
            ],
            bases=(models.Model, packer.models.CheckingModel),
        ),
        migrations.CreateModel(
            name="ISSN",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("issn_value", models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name="ISSNType",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("value", models.CharField(max_length=255)),
                ("type", models.CharField(max_length=255)),
            ],
            bases=(models.Model, packer.models.CheckingModel),
        ),
        migrations.CreateModel(
            name="JournalIssue",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("published_print", models.DateField(blank=True, null=True)),
                ("issue", models.CharField(blank=True, max_length=255, null=True)),
                ("published_online", models.DateField(blank=True, null=True)),
            ],
            bases=(models.Model, packer.models.CheckingModel),
        ),
        migrations.CreateModel(
            name="License",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("start", models.DateField(blank=True, null=True)),
                ("URL", models.URLField()),
                ("content_version", models.CharField(max_length=255)),
                ("delay_in_days", models.IntegerField()),
            ],
            bases=(models.Model, packer.models.CheckingModel),
        ),
        migrations.CreateModel(
            name="Link",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("url", models.URLField()),
                ("content_type", models.CharField(max_length=255)),
                ("content_version", models.CharField(max_length=255)),
                ("intended_application", models.CharField(max_length=255)),
            ],
            bases=(models.Model, packer.models.CheckingModel),
        ),
        migrations.CreateModel(
            name="Place",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.TextField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name="RelationEndpoint",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("id_type", models.TextField(blank=True, null=True)),
                ("id_value", models.TextField(blank=True, null=True)),
                ("asserted_by", models.TextField(blank=True, null=True)),
            ],
            bases=(models.Model, packer.models.CheckingModel),
        ),
        migrations.CreateModel(
            name="ResourceURL",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("url", models.TextField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name="Review",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("type", models.TextField(blank=True, null=True)),
                ("stage", models.TextField(blank=True, null=True)),
                ("running_number", models.TextField(blank=True, null=True)),
                ("revision_round", models.TextField(blank=True, null=True)),
                ("recommendation", models.TextField(blank=True, null=True)),
                ("language", models.TextField(blank=True, null=True)),
                (
                    "competing_interest_statement",
                    models.TextField(blank=True, null=True),
                ),
            ],
            bases=(models.Model, packer.models.CheckingModel),
        ),
        migrations.CreateModel(
            name="ShortContainerTitle",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("title", models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name="StandardsBody",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.TextField(blank=True, null=True)),
                ("acronym", models.TextField(blank=True, null=True)),
            ],
            bases=(models.Model, packer.models.CheckingModel),
        ),
        migrations.CreateModel(
            name="Subject",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("subject", models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name="Title",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("title", models.TextField(blank=True, null=True)),
                ("language", models.TextField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name="UpdateTo",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("updated", models.DateField(blank=True, null=True)),
                ("doi", models.TextField(blank=True, null=True)),
                ("type", models.TextField(blank=True, null=True)),
                ("label", models.TextField(blank=True, null=True)),
            ],
            bases=(models.Model, packer.models.CheckingModel),
        ),
        migrations.CreateModel(
            name="Author",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("given", models.TextField(blank=True, null=True)),
                ("family", models.TextField(blank=True, null=True)),
                ("sequence", models.TextField(blank=True, null=True)),
                ("orcid", models.CharField(blank=True, max_length=255, null=True)),
                ("authenticated_orcid", models.BooleanField(default=False)),
                ("suffix", models.TextField(blank=True, null=True)),
                ("name", models.TextField(blank=True, null=True)),
                (
                    "affiliation",
                    models.ManyToManyField(
                        blank=True, null=True, to="packer.affiliation"
                    ),
                ),
            ],
            bases=(models.Model, packer.models.CheckingModel),
        ),
        migrations.CreateModel(
            name="Chair",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("given", models.CharField(max_length=255)),
                ("family", models.CharField(max_length=255)),
                ("sequence", models.CharField(max_length=255)),
                ("orcid", models.CharField(blank=True, max_length=255, null=True)),
                ("authenticated_orcid", models.BooleanField()),
                ("name", models.TextField(blank=True, null=True)),
                (
                    "affiliation",
                    models.ManyToManyField(
                        blank=True, null=True, to="packer.affiliation"
                    ),
                ),
            ],
            bases=(models.Model, packer.models.CheckingModel),
        ),
        migrations.AddField(
            model_name="affiliation",
            name="department",
            field=models.ManyToManyField(blank=True, null=True, to="packer.department"),
        ),
        migrations.CreateModel(
            name="ContentDomain",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("crossmark_restriction", models.BooleanField()),
                (
                    "domain",
                    models.ManyToManyField(blank=True, null=True, to="packer.domain"),
                ),
            ],
            bases=(models.Model, packer.models.CheckingModel),
        ),
        migrations.CreateModel(
            name="Editor",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("given", models.CharField(max_length=255)),
                ("family", models.CharField(max_length=255)),
                ("sequence", models.CharField(max_length=255)),
                ("orcid", models.CharField(blank=True, max_length=255, null=True)),
                ("authenticated_orcid", models.BooleanField()),
                ("name", models.TextField(blank=True, null=True)),
                (
                    "affiliation",
                    models.ManyToManyField(
                        blank=True, null=True, to="packer.affiliation"
                    ),
                ),
            ],
            bases=(models.Model, packer.models.CheckingModel),
        ),
        migrations.CreateModel(
            name="Funder",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("doi_asserted_by", models.TextField(blank=True, null=True)),
                ("doi", models.TextField(blank=True, null=True)),
                ("name", models.TextField(blank=True, null=True)),
                (
                    "award",
                    models.ManyToManyField(blank=True, null=True, to="packer.award"),
                ),
                (
                    "funder_id",
                    models.ManyToManyField(blank=True, null=True, to="packer.funderid"),
                ),
            ],
            bases=(models.Model, packer.models.CheckingModel),
        ),
        migrations.CreateModel(
            name="Funding",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("type", models.TextField(blank=True, null=True)),
                ("scheme", models.TextField(blank=True, null=True)),
                (
                    "funder",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        to="packer.funder",
                    ),
                ),
            ],
            bases=(models.Model, packer.models.CheckingModel),
        ),
        migrations.AddField(
            model_name="affiliation",
            name="place",
            field=models.ManyToManyField(blank=True, null=True, to="packer.place"),
        ),
        migrations.CreateModel(
            name="Project",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("award_start", models.DateField(blank=True, null=True)),
                ("award_end", models.DateField(blank=True, null=True)),
                ("award_planned_end", models.DateField(blank=True, null=True)),
                (
                    "award_amount",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        to="packer.awardamount",
                    ),
                ),
                (
                    "co_lead_investigator",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="co_lead_investigator",
                        to="packer.author",
                    ),
                ),
                (
                    "funding",
                    models.ManyToManyField(blank=True, null=True, to="packer.funding"),
                ),
                (
                    "investigator",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="investigator",
                        to="packer.author",
                    ),
                ),
                (
                    "lead_investigator",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="lead_investigator",
                        to="packer.author",
                    ),
                ),
                (
                    "project_description",
                    models.ManyToManyField(
                        blank=True, null=True, to="packer.description"
                    ),
                ),
                (
                    "project_title",
                    models.ManyToManyField(blank=True, null=True, to="packer.title"),
                ),
            ],
            bases=(models.Model, packer.models.CheckingModel),
        ),
        migrations.CreateModel(
            name="Reference",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("standards_body", models.TextField(blank=True, null=True)),
                ("issue", models.TextField(blank=True, null=True)),
                ("key", models.TextField(blank=True, null=True)),
                ("series_title", models.TextField(blank=True, null=True)),
                ("doi_asserted_by", models.TextField(blank=True, null=True)),
                ("first_page", models.TextField(blank=True, null=True)),
                ("doi", models.TextField(blank=True, null=True)),
                ("component", models.TextField(blank=True, null=True)),
                ("article_title", models.TextField(blank=True, null=True)),
                ("volume_title", models.TextField(blank=True, null=True)),
                ("volume", models.TextField(blank=True, null=True)),
                ("standard_designator", models.TextField(blank=True, null=True)),
                ("year", models.TextField(blank=True, null=True)),
                ("unstructured", models.TextField(blank=True, null=True)),
                ("edition", models.TextField(blank=True, null=True)),
                ("journal_title", models.TextField(blank=True, null=True)),
                (
                    "author",
                    models.ManyToManyField(blank=True, null=True, to="packer.author"),
                ),
                (
                    "isbn",
                    models.ManyToManyField(blank=True, null=True, to="packer.isbn"),
                ),
                (
                    "isbn_type",
                    models.ManyToManyField(blank=True, null=True, to="packer.isbntype"),
                ),
                (
                    "issn",
                    models.ManyToManyField(blank=True, null=True, to="packer.issn"),
                ),
                (
                    "issn_type",
                    models.ManyToManyField(blank=True, null=True, to="packer.issntype"),
                ),
            ],
            bases=(models.Model, packer.models.CheckingModel),
        ),
        migrations.CreateModel(
            name="Relation",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "references",
                    models.ManyToManyField(
                        blank=True, null=True, to="packer.reference"
                    ),
                ),
                (
                    "based_on_data",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="based_on_data",
                        to="packer.relationendpoint",
                    ),
                ),
                (
                    "compiles",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="compiles",
                        to="packer.relationendpoint",
                    ),
                ),
                (
                    "continues",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="continues",
                        to="packer.relationendpoint",
                    ),
                ),
                (
                    "documents",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="documents",
                        to="packer.relationendpoint",
                    ),
                ),
                (
                    "finances",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="finances",
                        to="packer.relationendpoint",
                    ),
                ),
                (
                    "has_comment",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="has_comment",
                        to="packer.relationendpoint",
                    ),
                ),
                (
                    "has_derivation",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="has_derivation",
                        to="packer.relationendpoint",
                    ),
                ),
                (
                    "has_expression",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="has_expression",
                        to="packer.relationendpoint",
                    ),
                ),
                (
                    "has_format",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="has_format",
                        to="packer.relationendpoint",
                    ),
                ),
                (
                    "has_manifestation",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="has_manifestation",
                        to="packer.relationendpoint",
                    ),
                ),
                (
                    "has_manuscript",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="has_manuscript",
                        to="packer.relationendpoint",
                    ),
                ),
                (
                    "has_part",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="has_part",
                        to="packer.relationendpoint",
                    ),
                ),
                (
                    "has_preprint",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="has_preprint",
                        to="packer.relationendpoint",
                    ),
                ),
                (
                    "has_related_material",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="has_related_material",
                        to="packer.relationendpoint",
                    ),
                ),
                (
                    "has_reply",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="has_reply",
                        to="packer.relationendpoint",
                    ),
                ),
                (
                    "has_review",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="has_review",
                        to="packer.relationendpoint",
                    ),
                ),
                (
                    "has_translation",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="has_translation",
                        to="packer.relationendpoint",
                    ),
                ),
                (
                    "has_version",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="has_version",
                        to="packer.relationendpoint",
                    ),
                ),
                (
                    "is_based_on",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="is_based_on",
                        to="packer.relationendpoint",
                    ),
                ),
                (
                    "is_basis_for",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="is_basis_for",
                        to="packer.relationendpoint",
                    ),
                ),
                (
                    "is_comment_on",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="is_comment_on",
                        to="packer.relationendpoint",
                    ),
                ),
                (
                    "is_compiled_by",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="is_compiled_by",
                        to="packer.relationendpoint",
                    ),
                ),
                (
                    "is_continued_by",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="is_continued_by",
                        to="packer.relationendpoint",
                    ),
                ),
                (
                    "is_data_basis_for",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="is_data_basis_for",
                        to="packer.relationendpoint",
                    ),
                ),
                (
                    "is_derived_from",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="is_derived_from",
                        to="packer.relationendpoint",
                    ),
                ),
                (
                    "is_documented_by",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="is_documented_by",
                        to="packer.relationendpoint",
                    ),
                ),
                (
                    "is_financed_by",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="is_financed_by",
                        to="packer.relationendpoint",
                    ),
                ),
                (
                    "is_identical_to",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="is_identical_to",
                        to="packer.relationendpoint",
                    ),
                ),
                (
                    "is_manifestation_of",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="is_manifestation_of",
                        to="packer.relationendpoint",
                    ),
                ),
                (
                    "is_manuscript_of",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="is_manuscript_of",
                        to="packer.relationendpoint",
                    ),
                ),
                (
                    "is_original_form_of",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="is_original_form_of",
                        to="packer.relationendpoint",
                    ),
                ),
                (
                    "is_part_of",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="is_part_of",
                        to="packer.relationendpoint",
                    ),
                ),
                (
                    "is_preprint_of",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="is_preprint_of",
                        to="packer.relationendpoint",
                    ),
                ),
                (
                    "is_referenced_by",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="is_referenced_by",
                        to="packer.relationendpoint",
                    ),
                ),
                (
                    "is_related_material",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="is_related_material",
                        to="packer.relationendpoint",
                    ),
                ),
                (
                    "is_replaced_by",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="is_replaced_by",
                        to="packer.relationendpoint",
                    ),
                ),
                (
                    "is_reply_to",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="is_reply_to",
                        to="packer.relationendpoint",
                    ),
                ),
                (
                    "is_review_of",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="is_review_of",
                        to="packer.relationendpoint",
                    ),
                ),
                (
                    "is_same_as",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="is_same_as",
                        to="packer.relationendpoint",
                    ),
                ),
                (
                    "is_supplement_to",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="is_supplement_to",
                        to="packer.relationendpoint",
                    ),
                ),
                (
                    "is_supplemented_by",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="is_supplemented_by",
                        to="packer.relationendpoint",
                    ),
                ),
                (
                    "is_translation_of",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="is_translation_of",
                        to="packer.relationendpoint",
                    ),
                ),
                (
                    "is_variant_form_of",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="is_variant_form_of",
                        to="packer.relationendpoint",
                    ),
                ),
                (
                    "is_version_of",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="is_version_of",
                        to="packer.relationendpoint",
                    ),
                ),
                (
                    "replaces",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="replaces",
                        to="packer.relationendpoint",
                    ),
                ),
                (
                    "requires",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="requires",
                        to="packer.relationendpoint",
                    ),
                ),
            ],
            bases=(models.Model, packer.models.CheckingModel),
        ),
        migrations.CreateModel(
            name="Resource",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("type", models.TextField(blank=True, null=True)),
                (
                    "url",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        to="packer.resourceurl",
                    ),
                ),
            ],
            bases=(models.Model, packer.models.CheckingModel),
        ),
        migrations.CreateModel(
            name="Translator",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("given", models.CharField(max_length=255)),
                ("family", models.CharField(max_length=255)),
                ("sequence", models.CharField(max_length=255)),
                ("orcid", models.CharField(blank=True, max_length=255, null=True)),
                ("authenticated_orcid", models.BooleanField()),
                ("name", models.TextField(blank=True, null=True)),
                (
                    "affiliation",
                    models.ManyToManyField(
                        blank=True, null=True, to="packer.affiliation"
                    ),
                ),
            ],
            bases=(models.Model, packer.models.CheckingModel),
        ),
        migrations.CreateModel(
            name="Item",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("url", models.URLField()),
                ("member", models.CharField(blank=True, max_length=255, null=True)),
                ("score", models.FloatField(blank=True, null=True)),
                ("created", models.DateField(blank=True, null=True)),
                ("issued", models.DateField(blank=True, null=True)),
                ("issue", models.CharField(blank=True, max_length=255, null=True)),
                ("prefix", models.CharField(blank=True, max_length=255, null=True)),
                ("reference_count", models.IntegerField(blank=True, null=True)),
                ("indexed", models.DateField(blank=True, null=True)),
                ("doi", models.TextField()),
                ("is_referenced_by_count", models.IntegerField(blank=True, null=True)),
                ("published", models.DateField(blank=True, null=True)),
                ("published_print", models.DateField(blank=True, null=True)),
                ("alternative_id", models.TextField(blank=True, null=True)),
                ("published_online", models.DateField(blank=True, null=True)),
                ("title", models.TextField(blank=True, null=True)),
                ("source", models.TextField(blank=True, null=True)),
                ("type", models.TextField(blank=True, null=True)),
                ("publisher", models.TextField(blank=True, null=True)),
                ("volume", models.CharField(blank=True, max_length=255, null=True)),
                ("references_count", models.IntegerField(blank=True, null=True)),
                ("deposited", models.DateField(blank=True, null=True)),
                (
                    "edition_number",
                    models.CharField(blank=True, max_length=255, null=True),
                ),
                ("page", models.CharField(blank=True, max_length=255, null=True)),
                ("abstract", models.TextField(blank=True, null=True)),
                ("language", models.CharField(blank=True, max_length=100, null=True)),
                ("update_policy", models.TextField(blank=True, null=True)),
                (
                    "article_number",
                    models.CharField(blank=True, max_length=255, null=True),
                ),
                ("publisher_location", models.TextField(blank=True, null=True)),
                ("published_other", models.DateField(blank=True, null=True)),
                ("posted", models.DateField(blank=True, null=True)),
                ("subtype", models.TextField(blank=True, null=True)),
                ("accepted", models.DateField(blank=True, null=True)),
                ("group_title", models.TextField(blank=True, null=True)),
                ("description", models.TextField(blank=True, null=True)),
                ("approved", models.DateField(blank=True, null=True)),
                ("content_created", models.DateField(blank=True, null=True)),
                ("content_updated", models.DateField(blank=True, null=True)),
                ("award_start", models.DateField(blank=True, null=True)),
                ("award_end", models.DateField(blank=True, null=True)),
                ("award", models.TextField(blank=True, null=True)),
                ("part_number", models.TextField(blank=True, null=True)),
                (
                    "archive",
                    models.ManyToManyField(blank=True, null=True, to="packer.archive"),
                ),
                (
                    "assertion",
                    models.ManyToManyField(
                        blank=True, null=True, to="packer.assertion"
                    ),
                ),
                (
                    "chair",
                    models.ManyToManyField(blank=True, null=True, to="packer.chair"),
                ),
                (
                    "clinical_trial_number",
                    models.ManyToManyField(
                        blank=True, null=True, to="packer.clinicaltrialnumber"
                    ),
                ),
                (
                    "container_title",
                    models.ManyToManyField(
                        blank=True, null=True, to="packer.containertitle"
                    ),
                ),
                (
                    "content_domain",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        to="packer.contentdomain",
                    ),
                ),
                (
                    "degree",
                    models.ManyToManyField(blank=True, null=True, to="packer.degree"),
                ),
                (
                    "editor",
                    models.ManyToManyField(blank=True, null=True, to="packer.editor"),
                ),
                (
                    "funder",
                    models.ManyToManyField(blank=True, null=True, to="packer.funder"),
                ),
                (
                    "institution",
                    models.ManyToManyField(
                        blank=True, null=True, to="packer.institution"
                    ),
                ),
                (
                    "isbn",
                    models.ManyToManyField(blank=True, null=True, to="packer.isbn"),
                ),
                (
                    "isbn_type",
                    models.ManyToManyField(blank=True, null=True, to="packer.isbntype"),
                ),
                (
                    "issn",
                    models.ManyToManyField(blank=True, null=True, to="packer.issn"),
                ),
                (
                    "issn_type",
                    models.ManyToManyField(blank=True, null=True, to="packer.issntype"),
                ),
                (
                    "journal_issue",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        to="packer.journalissue",
                    ),
                ),
                (
                    "license",
                    models.ManyToManyField(blank=True, null=True, to="packer.license"),
                ),
                (
                    "link",
                    models.ManyToManyField(blank=True, null=True, to="packer.link"),
                ),
                (
                    "place",
                    models.ManyToManyField(blank=True, null=True, to="packer.place"),
                ),
                (
                    "projects",
                    models.ManyToManyField(blank=True, null=True, to="packer.project"),
                ),
                (
                    "reference",
                    models.ManyToManyField(
                        blank=True, null=True, to="packer.reference"
                    ),
                ),
                (
                    "resource",
                    models.ManyToManyField(blank=True, null=True, to="packer.resource"),
                ),
                (
                    "review",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        to="packer.review",
                    ),
                ),
                (
                    "short_container_title",
                    models.ManyToManyField(
                        blank=True, null=True, to="packer.shortcontainertitle"
                    ),
                ),
                (
                    "standards_body",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        to="packer.standardsbody",
                    ),
                ),
                (
                    "subject",
                    models.ManyToManyField(blank=True, null=True, to="packer.subject"),
                ),
                (
                    "original_title",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="original_title",
                        to="packer.title",
                    ),
                ),
                (
                    "short_title",
                    models.ManyToManyField(
                        blank=True,
                        null=True,
                        related_name="short_title",
                        to="packer.title",
                    ),
                ),
                (
                    "subtitle",
                    models.ManyToManyField(blank=True, null=True, to="packer.title"),
                ),
                (
                    "translator",
                    models.ManyToManyField(
                        blank=True, null=True, to="packer.translator"
                    ),
                ),
                (
                    "update_to",
                    models.ManyToManyField(blank=True, null=True, to="packer.updateto"),
                ),
            ],
            options={
                "indexes": [
                    models.Index(fields=["doi"], name="packer_item_doi_d9e4b4_idx")
                ],
            },
        ),
    ]
